【活用ガイド】

[English]

JVNDB-2014-000004

NeoFiler におけるディレクトリトラバーサルの脆弱性

概要

SkyArts.com が提供する NeoFiler には、ファイル名の処理に問題があり、ディレクトリトラバーサル (CWE-22) の脆弱性が存在します。

この脆弱性情報は、情報セキュリティ早期警戒パートナーシップに基づき下記の方が IPA に報告し、JPCERT/CC が開発者との調整を行いました。
報告者: さくら情報システム株式会社 小池 亮平 氏

CVSS による深刻度 (CVSS とは?)

基本値: 4.3 (警告) [IPA値]
  • 攻撃元区分: ネットワーク
  • 攻撃条件の複雑さ: 中
  • 攻撃前の認証要否: 不要
  • 機密性への影響(C): なし
  • 完全性への影響(I): 部分的
  • 可用性への影響(A): なし

影響を受けるシステム


SkyArts.com
  • NeoFiler バージョン 5.4.3 およびそれ以前
  • NeoFiler Free バージョン 5.4.3 およびそれ以前
  • NeoFiler Lite バージョン 2.4.2 およびそれ以前

想定される影響

遠隔の第三者によって、アプリの権限でアクセス可能なディレクトリにおいて、ファイルを作成されたり既存のファイルを上書きされたりする可能性があります。
対策

[アップデートする]
開発者が提供する情報をもとに、最新版へアップデートしてください。
ベンダ情報

SkyArts.com
CWEによる脆弱性タイプ一覧  CWEとは?

  1. パス・トラバーサル(CWE-22) [IPA評価]
共通脆弱性識別子(CVE)  CVEとは?

  1. CVE-2014-0805
参考情報

  1. JVN : JVN#85716574
  2. National Vulnerability Database (NVD) : CVE-2014-0805
更新履歴

[2014年01月10日]
  掲載
[2014年01月15日]
  参考情報:National Vulnerability Database (NVD) (CVE-2014-0805) を追加